Bug 11267 - rc.sysinit syntax error
Summary: rc.sysinit syntax error
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts   
(Show other bugs)
Version: 6.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-05-06 22:17 UTC by Jan Carlson
Modified: 2014-03-17 02:13 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-05-11 21:27:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jan Carlson 2000-05-06 22:17:45 UTC
A syntax error in rc.sysinit shows up when the running kernel
release string contains no "-" character.

-----------cut---------------
*** rc.sysinit.redhat	Wed Feb 23 13:12:09 2000
--- rc.sysinit	Sat May  6 17:29:31 2000
***************
*** 242,248 ****
  rm -f /lib/modules/default
  if [ -x /sbin/depmod -a -n "$USEMODULES" ]; then
      # If they aren't using a recent sane kernel, make a link for them
!     if [ ! -n `uname -r | grep "-"` ]; then
         ktag="`cat /proc/version`"
         mtag=`grep -l "$ktag" /lib/modules/*/.rhkmvtag 2> /dev/null`
         if [ -n "$mtag" ]; then
--- 242,248 ----
  rm -f /lib/modules/default
  if [ -x /sbin/depmod -a -n "$USEMODULES" ]; then
      # If they aren't using a recent sane kernel, make a link for them
!     if [ ! -n "`uname -r | grep -- -`" ]; then
         ktag="`cat /proc/version`"
         mtag=`grep -l "$ktag" /lib/modules/*/.rhkmvtag 2> /dev/null`
         if [ -n "$mtag" ]; then
----------------cut----------------------

Comment 1 Nalin Dahyabhai 2000-05-11 21:27:59 UTC
This will be fixed in initscripts 5.13 and later in Raw Hide
(ftp://ftp.redhat.com/pub/rawhide/i386/RedHat/RPMS/).


Note You need to log in before you can comment on or make changes to this bug.